Skip to main content
GET
/
customer
/
api
/
open
/
v1
/
loyalty
/
customers
/
{customerId}
/
wallet
Get customer loyalty wallet
curl --request GET \
  --url https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/wallet \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/wallet"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "companyId": 123,
    "customerId": "<string>",
    "availablePoints": "<string>",
    "reservedPoints": "<string>",
    "lifetimeEarnedPoints": "<string>",
    "lifetimeBurnedPoints": "<string>",
    "version": "<string>",
    "lastLedgerAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

customerId
string
required

Response

200 - application/json

Success

data
object